Bug 520886 - Review Request: fastback - support file uploader
Summary: Review Request: fastback - support file uploader
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Stokes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-02 19:02 UTC by Gavin Romig-Koch
Modified: 2018-10-27 12:18 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-21 17:04:03 UTC
astokes: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Gavin Romig-Koch 2009-09-02 19:02:49 UTC
Spec URL: http://gavin.fedorapeople.org/fastback.spec
SRPM URL: http://gavin.fedorapeople.org/fastback-0.2-2.fc11.src.rpm
Description: 
Fastback is a command line tool to upload files to a ticketing system, or
other configurable URL (FTP,SCP,...).

Comment 1 Gavin Romig-Koch 2009-09-02 19:06:55 UTC
rpmlint output:

$ rpmlint fastback.spec SRPMS/fastback-0.2-2.fc11.src.rpm RPMS/x86_64/fastback-*
3 packages and 1 specfiles checked; 0 errors, 0 warnings.
$

Comment 2 Susi Lehtola 2009-09-03 15:10:50 UTC
%if 0%{?rhel}
%if 0%{?rhel} <= 5
BuildRequires: curl-devel
%else
BuildRequires: libcurl-devel
%endif
%else
BuildRequires: libcurl-devel
%endif

This is needlessly complicated. Just use

%if 0%{?rhel} && 0%{?rhel} <= 5
BuildRequires: curl-devel
%else
BuildRequires: libcurl-devel
%endif

Comment 3 Mamoru TASAKA 2009-09-03 16:54:09 UTC
By the way on F-9/10/11/12 libcurl-devel has "Provides: curl-devel".

Comment 4 Gavin Romig-Koch 2009-09-03 20:08:59 UTC
(In reply to comment #2)

Yes, thank you.  Will be fixed in next build.

Comment 5 Gavin Romig-Koch 2009-09-03 20:10:53 UTC
(In reply to comment #3)
> By the way on F-9/10/11/12 libcurl-devel has "Provides: curl-devel".  

Yes, but that conditional and BuildRequires is for RHEL/EPEL 5.

Comment 6 Adam Stokes 2009-09-14 12:44:44 UTC
Please define the SourceURL https://fedoraproject.org/wiki/Packaging/SourceURL

Since this is on fedora hosted you can put it in the hosted releases section:

https://fedorahosted.org/web/faq

How can I publish archive releases (tgz, zip, etc) for my project?

Create the archive on your workstation and run scp myProject-0.1.tar.gz fedorahosted.org:<Project Name>. The archive will be located under https://fedorahosted.org/releases/

Thanks,
Adam

Comment 7 Adam Stokes 2009-09-14 14:20:51 UTC
Also make sure when you upload the new spec that it has the alteration from comment #2

Thanks!
Adam

Comment 8 Gavin Romig-Koch 2009-09-14 14:45:42 UTC
Thanks for taking this on Adam.

I've fixed the SourceURL bit, and improved the rhel5 handling as outlined above.  I've bumped the release and pushed a new spec file, new tarball, and new srpm to both fedorapeople (the urls mentioned above) and to fedorahosted.org:

    https://fedorahosted.org/released/fastback/fastback.spec
    https://fedorahosted.org/released/fastback/fastback-0.2-3.fc11.src.rpm
    https://fedorahosted.org/released/fastback/fastback-0.2.tar.gz

Comment 9 Gavin Romig-Koch 2009-09-14 14:57:58 UTC
In case it's not clear, this package is for both Fedora and EPEL5, and assuming it's approved, I'll be asking for both Fedora and EPEL5 branches.

                               -gavin...

Comment 10 Adam Stokes 2009-09-14 16:51:51 UTC
Looks good, ack'd.

One thing though I would only use fedorahosted.org/releases for source hosting as you will notice your directory getting filled up with tons of src rpms, however, its up to you.

Thanks,
Adam

Comment 11 Gavin Romig-Koch 2009-09-14 17:33:12 UTC
New Package CVS Request
=======================
Package Name: fastback
Short Description: File uploader, configureable file uploader
Owners: gavin
Branches: F-12 F-11 EL-5
InitialCC:

Comment 12 Gavin Romig-Koch 2009-09-14 17:35:38 UTC
(In reply to comment #10)
> Looks good, ack'd.

Thanks.

> One thing though I would only use fedorahosted.org/releases for source hosting
> as you will notice your directory getting filled up with tons of src rpms,

Yes, once it's actually in Fedora there will be no need for me to host rpms out there.  Just the tarballs.

Comment 13 Kevin Fenzi 2009-09-14 21:33:03 UTC
cvs done.

Comment 14 Gavin Romig-Koch 2009-09-14 23:13:02 UTC
I've committed, tagged, and built this for devel, F-12, F-11, and EL-5.
I've bodhi updated it for all branches except F-12, which is frozen right now.  

Keeping this bz open as a reminder to bodhi update F-12 once it is open again.

Comment 15 Mamoru TASAKA 2009-09-21 17:04:03 UTC
(In reply to comment #14)
> I've committed, tagged, and built this for devel, F-12, F-11, and EL-5.
> I've bodhi updated it for all branches except F-12, which is frozen right now.  

Currently you don't have to submit push requests on bodhi, F-12
build already appears on "rawhide" (currently "rawhide" is F-12,
F-13). Closing.

Comment 16 Mamoru TASAKA 2009-09-21 17:43:12 UTC
I meant currently rawhide is F-12, not F-13.

Comment 17 Gavin Romig-Koch 2009-09-22 11:44:45 UTC
Thanks.

Comment 18 Lon Hohberger 2010-08-05 20:36:32 UTC
*** Bug 606826 has been marked as a duplicate of this bug. ***

Comment 19 Lon Hohberger 2010-08-05 20:37:37 UTC
(In reply to comment #18)
> *** Bug 606826 has been marked as a duplicate of this bug. ***    

Sorry - typo on my part :/


Note You need to log in before you can comment on or make changes to this bug.